package com.nisum.paymentgatewayazuredataservice.domain.model;

import com.azure.spring.data.cosmos.core.mapping.Container;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Document
public class PaymentAuthData {
    @Id
    private String id;
    private String cardNumber;
    private String cvv;
    private String address;
    private Number amount;
    private CreditCardAuthorizeResponse creditCardAuthorizeResponse;
}
